# -*- coding:Utf-8 -*-
#!/usr/bin/python


#-------------------------------------------------------------
# couleur de fond des fenêtres
#-------------------------------------------------------------
couleurfond="#f9f19b"

#-------------------------------------------------------------
# Codage des caractères accentués et des \
#-------------------------------------------------------------  
def traiter_texte(texte):
    texte=texte.replace('à','@`a')
    texte=texte.replace('á','@\'a')
    texte=texte.replace('â','@^a')
    texte=texte.replace('è','@`e')
    texte=texte.replace('é','@\'e')
    texte=texte.replace('ê','@^e')
    texte=texte.replace('ë','@\"e')
    texte=texte.replace('ï','@\"i')
    texte=texte.replace('î','@^i')
    texte=texte.replace('ù','@`u')
    texte=texte.replace('ú','@\'u')
    texte=texte.replace('û','@^u')
    texte=texte.replace('\\','@')
    return texte
    
#-------------------------------------------------------------
# Ecriture du texte dans le buffet du textview
#-------------------------------------------------------------  
def ecrire_texte_textview(Texte,Textview):
    # Récupération du buffer
    text_buffer = Textview.get_buffer()
    # Suppression des données du buffer
    start_iter = text_buffer.get_start_iter()
    end_iter = text_buffer.get_end_iter()
    text_buffer.delete(start_iter, end_iter)
    # Affichage du fichier
    start_iter = text_buffer.get_start_iter()
    text_buffer.insert(start_iter, Texte)
    
#-------------------------------------------------------------
# Conversion de la couleur
#-------------------------------------------------------------  
def Nom_Couleur(couleur):
    if couleur=="Rouge":
        Texte_Couleur="rouge"
    elif couleur=="Bleu":
        Texte_Couleur="bleu"
    elif couleur=="Noir":
        Texte_Couleur="noir"    
    elif couleur=="Blanc":
        Texte_Couleur="blanc"   
    elif couleur=="Orange":
        Texte_Couleur="orange"  
    elif couleur=="Violet":
        Texte_Couleur="violet"  
    elif couleur=="Rose":
        Texte_Couleur="rose"    
    elif couleur=="Ciel":
        Texte_Couleur="ciel"    
    elif couleur=="Orange vif":
        Texte_Couleur="orangevif"   
    elif couleur=="Vert":
        Texte_Couleur="vert"    
    elif couleur=="Jaune":
        Texte_Couleur="jaune"   
    elif couleur=="Gris":
        Texte_Couleur="gris"    
    elif couleur=="Gris_I":
        Texte_Couleur="gris_I"  
    elif couleur=="Gris_II":
        Texte_Couleur="gris_II" 
    elif couleur=="Gris_III":
        Texte_Couleur="gris_III"    
    elif couleur=="Gris_IV":
        Texte_Couleur="gris_IV" 
    elif couleur=="Gris_V":
        Texte_Couleur="gris_V"  
    elif couleur=="Gris_VI":
        Texte_Couleur="gris_VI" 
    elif couleur=="Gris_VII":
        Texte_Couleur="gris_VII"    
    elif couleur=="Gris_VIII":
        Texte_Couleur="gris_VIII"   
    elif couleur=="Gris_IX":
        Texte_Couleur="gris_IX" 
    else:
        Texte_Couleur=""
    return Texte_Couleur
    
    
    #-------------------------------------------------------------
# Conversion de la couleur
#-------------------------------------------------------------  
def Nom_Position(position):
    if position=="En bas":
        Texte_Position="bot"
    elif position=="En haut":
        Texte_Position="top"
    elif position=="A droite":
        Texte_Position="rt"
    elif position=="A gauche":
        Texte_Position="lft"
    elif position=="En haut à droite":
        Texte_Position="urt"
    elif position=="En haut à gauche":
        Texte_Position="ulft"
    elif position=="En bas à droite":
        Texte_Position="lrt"
    else:
        Texte_Position="llft"
    return Texte_Position
        
    
